### Function Macro

# Ide CHECK_VERSION

#### Declaration

    #define IDE_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description

Compile-time version checking. Evaluates to `TRUE` if the version of libide is greater than the required one.

Micro is no longer used.

This function is not directly available to language bindings

#### Parameters

`major` | `-`
| Required major version.
`minor` | `-`
| Required minor version.
`micro` | `-`
| Required micro version.